=== Understand51986/Understand.app/Contents/Resources/sample/dyacclex/debian/changelog ===
dyacclex (1.3-1) unstable; urgency=low

  * Initial Release.

 -- Michiel Rook <michiel@grendelproject.nl>  Fri, 18 Feb 2005 11:30:17 +0100
